misagent_client_free
misagent_client_new
misagent_client_start_service
misagent_client_t
misagent_copy
misagent_copy_all
misagent_error_t
misagent_get_status_code
misagent_install
misagent_remove
MISAGENT_SERVICE_NAME

## misagent_install()

LIBIMOBILEDEVICE_API misagent_error_t misagent_install | ( | misagent_client_t | client,
|  | plist_t | profile )

Installs the given provisioning profile.

Only works with valid profiles.

Parameters

  client | The connected misagent to use for installation
  profile | The valid provisioning profile to install. This has to be passed as a PLIST_DATA, otherwise the function will fail.

Returns
  MISAGENT_E_SUCCESS on success, MISAGENT_E_INVALID_ARG when client is invalid, or an MISAGENT_E_* error code otherwise.